using System;
using System.Windows.Forms;

namespace _7_4
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        public static double CalculateArea(double diagonal)
        {
            double radius = diagonal / 2;
            double area = (radius * radius) * Math.PI;
            return area;
        }

        private void button1_Click(object sender, EventArgs e)
        {
            double diagonal = Convert.ToDouble(textBox1.Text);
            double result = CalculateArea(diagonal);
            
            MessageBox.Show("Area = " + result.ToString());
        }
    }
}